@extends('web.includes.layout',[
'page_title' => $news['name'].' - ',
'main_id' => 'product',
'seo' => true,
'seo_description' => htmlspecialchars_decode($news['s_info']),
'seo_image'=> storage_path($pics[0]['pic']),
'seo_type' => 'website',
])


@push('head')
<!-- 麵包屑 -->
<script type="application/ld+json">
    {
        "@context": "https://schema.org",
        "@type": "BreadcrumbList",
        "itemListElement": [{
            "@type": "ListItem",
            "position": 1,
            "name": "Home",
            "item": "{{ host_path(base_path()) }}"
        },{
            "@type": "ListItem",
            "position": 2,
            "name": "{{lang('header.product')}}",
            "item": "{{ host_path(base_path()) }}product"
        },{
            "@type": "ListItem",
            "position": 3,
            "name": "{{$news['name']}}",
            "item": "{{ host_path(base_path()) }}{{ Request::path() }}"
        }]
    }
</script>
@endpush
@push('script')

<script>
    var smallSwiper = new Swiper('.slider-small', {
        slidesPerView: 3,
        spaceBetween: 15,
        centerInsufficientSlides: true,
        watchSlidesVisibility: true,//防止不可点击
        navigation: {
            nextEl: '.small-next',
            prevEl: '.small-prev',
        },
    })
    var bigSwiper = new Swiper('.slider-big', {
        thumbs: {
            swiper: smallSwiper,
        }
    });
</script>

@endpush

@section('main')

<div id="inner-banner" class="ani" data-ani="fadeIn">
    <div class="pic cover">
        <span><img src="{{ resources_path() }}_img/product/banner.jpg" alt=""></span>
    </div>
</div>
<div class="overflow-x-h aside-style">
    <div class="container-lg">
        <div class="row align-items-stretch">
            <aside class="col-lg-2 py-5 d-none d-lg-block">
                <ul class="aside-list">
                    @foreach($news_class_tree[0] as $v)
                    <li class="aside-item @if($v['id']==$level_1_class_id) active @endif"><a href="{{base_path(Session::get('lang').'/')}}product/{{$v['id']}}" title="{{$v['name']}}"><span>{{$v['name']}}</span></a></li>
                    @endforeach
                </ul>
            </aside>
            <article class="col-lg-10 py-5">
                <section class="row">
                    <div class="col-10 mx-auto">
                        <div id="p-top" class="row">
                            <div class="img-row col-md-5 mb-4 mb-md-0">
                                <div class="slider-big swiper-container">
                                    <div class="swiper-wrapper">
                                        @foreach ($pics as $v)
                                        <div class="swiper-slide">
                                            <a href="javascript:;" data-fancybox data-src="{{ storage_path($v['pic']) }}" title="{{$news['name']}}">
                                                <div class="pic pic-4by3"><span><img src="{{ storage_path($v['pic']) }}" alt="{{$news['name']}}" title="{{$news['name']}}"></span></div>
                                            </a>
                                        </div>
                                        @endforeach
                                        
                                    </div>
                                </div>
                                <div class="position-relative">
                                    <div class="slider-small swiper-container mt-4">
                                        <div class="swiper-wrapper">
                                             @foreach ($pics as $v)
                                            <div class="swiper-slide">
                                                <div class="pic pic-16by9"><span><img src="{{ storage_path($v['pic']) }}" alt="{{$news['name']}}" title="{{$news['name']}}"></span></div>
                                            </div>
                                           @endforeach
                                        </div>
                                    </div>
                                    {{-- <div class="swiper-button-prev small-prev"><i class="fal fa-angle-left fs-40"></i></div>
                                    <div class="swiper-button-next small-next"><i class="fal fa-angle-right fs-40"></i></div> --}}
                                </div>
                            </div>
                            <div class="info-row col-md-7">
                                <h2 class="text-primary3 fs-18">{{$news_class[$news['class_id']]['name']}}</h2>
                                <h1 class="p-name text-white fs-24 font-weight-bold bg-primary px-3 py-1 mt-2 mb-4">{{$news['name']}}</h1>
                                <div class="s-info editor px-3">
                                     {!! htmlspecialchars_decode($news['s_info']) !!}
                                </div>
                                <div class="s-img-row mt-5">
                                    <h3 class="bg-primary fs-16 text-white rounded d-inline-block px-2 py-1 mb-3">{{lang('product.structure')}}</h3>
                                    <img src="{{ storage_path($news['pic2']) }}" alt="{{lang('product.structure')}}">
                                </div>
                            </div>
                        </div>
                        <hr class="border my-5">
                        <div class="p-editor-row row">
                            <div class="col-12">
                                <h3 class="bg-primary fs-16 text-white rounded d-inline-block px-2 py-1 mb-3">{{lang('product.features')}}</h3>
                                <div class="editor">
                                     {!! htmlspecialchars_decode($news['info']) !!}
                                </div>
                                <div class="text-center mt-5">
                                    <a href="javascript:history.go(-1)" class="btn btn-primary" title="{{lang('product.back')}}">{{lang('product.back')}}</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </article>
        </div>
    </div>
</div>




@endsection