@extends('web.includes.layout',[
'page_title' => lang('header.product').' - ',
'main_id' => 'product',
'seo' => true,
'seo_description' => '',
'seo_image'=> '',
'seo_type' => 'website',
])


@push('head')

<!-- 麵包屑 -->
<script type="application/ld+json">
    {
        "@context": "https://schema.org",
        "@type": "BreadcrumbList",
        "itemListElement": [{
            "@type": "ListItem",
            "position": 1,
            "name": "Home",
            "item": "{{ host_path(base_path()) }}"
        },{
            "@type": "ListItem",
            "position": 2,
            "name": "{{lang('header.product')}}",
            "item": "{{ host_path(base_path()) }}{{ Request::path() }}"
        }]
    }
</script>
@endpush
@push('script')


@endpush

@section('main')

<div id="inner-banner" class="ani" data-ani="fadeIn">
    <h1 class="pic cover">
        <span><img src="{{ resources_path() }}_img/product/banner.jpg" alt="{{ lang('header.product') }}"></span>
    </h1>
</div>
<div class="overflow-x-h aside-style">
    <div class="container-lg">
        <div class="row align-items-stretch">
            <aside class="col-lg-2 py-5 d-none d-lg-block">
                <ul class="aside-list">
                    @foreach($news_class_tree[0] as $v)
                    <li class="aside-item @if($v['id']==$level_1_class_id) active @endif"><a href="{{base_path(Session::get('lang').'/')}}product/{{$v['id']}}" title="{{$v['name']}}"><span>{{$v['name']}}</span></a></li>
                    @endforeach
                </ul>
            </aside>
            <article class="col-lg-10 py-5">
                <section class="row">
                    <div class="col-10 mx-auto">
                        <div class="row p-list">
                            @foreach ($news as $v) 
                            <div class="p-item col-md-4 col-6 mb-5 ani" data-ani="fadeInUp">
                                <a href="{{ base_path(Session::get('lang').'/') }}product/{{$v['class_id']}}/{{$v['id']}}" class="content shadow" title="{{$v['name']}}">
                                    <div class="img-row bg-white">
                                        <div class="pic">
                                            <span><img src="{{ storage_path($v['pic']) }}" alt="{{$v['name']}}" title="{{$v['name']}}"></span>
                                        </div>
                                        <div class="more text-white d-flex align-items-center justify-content-center text-center">
                                            <div class="more-content">
                                                <i class="far fa-plus-hexagon fs-30"></i>
                                                <div class="t font-arial">MORE</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="txt-row bg-primary text-center p-3">
                                        <h2 class="p-name fs-18 text-white">{{$v['name']}}</h2>
                                    </div>
                                </a>
                            </div>
                            @endforeach
                        </div>
                    </div>
                    
                </section>
            </article>
        </div>
    </div>
</div>




@endsection